package cn.iocoder.yudao.module.mes.dal.mysql.bom;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.mes.dal.dataobject.bom.BomDetailDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 产品BOM明细 Mapper
 *
 * @author 内蒙必硕
 */
@Mapper
public interface BomDetailMapper extends BaseMapperX<BomDetailDO> {

    default List<BomDetailDO> selectListByBomId(Long bomId) {
        return selectList(BomDetailDO::getBomId, bomId);
    }

    default int deleteByBomId(Long bomId) {
        return delete(BomDetailDO::getBomId, bomId);
    }

}